Geo::GoogleEarth::Pluggable::Plugin::Others(3pm)

NAME
Geo::GoogleEarth::Pluggable::Plugin::Others - Geo::GoogleEarth::Pluggable Others Plugin Methods

SYNOPSIS
  use Geo::GoogleEarth::Pluggable;
  my $document=Geo::GoogleEarth::Pluggable->new;
  my @point=$document->MultiPoint(%data); #()
  my $point=$document->MultiPoint(%data); #[]

METHODS
Methods in this package are AUTOLOADed into the Geo::GoogleEarth::Pluggable::Folder namespace at runtime.

  MultiPoint
  my @point=$document->MultiPoint(
                         name=>"Point",              #SCALAR sprintf("%s (%s)", $name, $index)
                         coordinates=>[{}, {}, ...], #CODE ($index, $point)
                   #TODO#name=>["pt1", "pt2", ...],  #ARRAY
                   #TODO#name=>sub{sprintf("Point %s is a %s", shift, ref(shift))},
                              );

Note: Currently coordinates must be {lat=>$lat, lon=>$lon, alt=>$alt}

TODO: Coordinates can be any format supported by Placemark->coordinates

TODO

BUGS
Please log on RT and send to the geo-perl email list.

SUPPORT
DavisNetworks.com supports all Perl applications including this package.

AUTHOR
  Michael R. Davis (mrdvt92)
  CPAN ID: MRDVT

COPYRIGHT
This program is free software licensed under the...

  The BSD License

The full text of the license can be found in the LICENSE file included with this module.

SEE ALSO
Geo::GoogleEarth::Pluggable